Subject: Re: git clone / git pull to USB memory stick (FAT) and symlinks

From: Gelonida <[email-masked]>
Date: Thu, 11 Nov 2010 19:03:48 +0100

On 11/11/2010 06:54 PM, Junio C Hamano wrote:
> Gelonida <[email-masked]> writes:
> 
>> I thought about cloning a remote git repository onto the stick
>> and performing
>> - regular pulls in order to update the USB stick
>> - occasional pushes in orderto publish changes performed on the stick.
> 
> ... missing is the reason why this is done to a USB memory stick.  More
> specifically,...

The idea is to have a few administrator keys .

These administrator keys would be plugged into network less PCs. (no git
installed)

I wanted to use git to use these keys up to date.

As the write speed to USB keys is slow I thought about using git in
order to avoid copying wrting already up to date config scripts and tools.

Occasionally one might encounter errors in the setup scripts and fix
them immediatel with word pad on the targe system.

Thus the idea to change files directly on the USB key.

When repluging the key nto a development host one could pull / push in
order to update the central repositroy and all other users just ahd to
pull again to their keys.

I hope this explains why I thought about having
- a non bare repository on a USB stick
- due to historical reasons some sym links might be in the repository.
  thus my question of how to let git ignore these sym links.
   If this is not possible, then I would probably create a new
	symlink-less git repository

> 
>> 1.) Ignore skip / symlinks
>> 2.) Avoiding file permission issues: Is this sufficient
> 
> These become non-issues _if_ the reason you are putting this on an USB
> stick is to safekeep and sneakernet the project data, and are not
> interested in having a working tree on the stick, which I often find is
> the use case after grilling people who ask about placing git repositories
> on an USB stick.
> 
> And the commands to interact with such a repository without a working tree
> are to "push" (into it), and "fetch" (from it).  IOW, you do not "pull"
> into USB stick.
> 
> If you do need a working tree on the stick, and the stick has a FAT
> derived filesystem (which would be the most common), then you would need
> 
>> git config --add core.fileMode false
> 
> and perhaps "core.symlinks false" also would help